Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMovie.MovieState

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMovie.MovieState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMovie

    public static final class QMovie.MovieState

extends java.lang.Enum
implements QtEnumerator

This enum describes the different states of `QMovie`.

See Also:
  Serialized Form

Field Summary
`static QMovie.MovieState` | `NotRunning` The movie is not running.
`static QMovie.MovieState` | `Paused` The movie is paused, and `QMovie` stops emitting `updated()` or `resized()` .
`static QMovie.MovieState` | `Running` The movie is running.

Method Summary
`static QMovie.MovieState` | `resolve(int value)` Returns the QMovie$MovieState constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMovie.MovieState` | `valueOf(java.lang.String name)`
`static QMovie.MovieState[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NotRunning

    public static final QMovie.MovieState NotRunning

  The movie is not running. This is `QMovie`'s initial state, and the state it enters after `stop()` has been called or the movie is finished.

### Paused

    public static final QMovie.MovieState Paused

  The movie is paused, and `QMovie` stops emitting `updated()` or `resized()` . This state is entered after calling pause() or setPaused(true). The current frame number it kept, and the movie will continue with the next frame when unpause() or setPaused(false) is called.

### Running

    public static final QMovie.MovieState Running

  The movie is running.

Method Detail

### values

    public static QMovie.MovieState[] values()

### valueOf

    public static QMovie.MovieState valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMovie.MovieState resolve(int value)

  Returns the QMovie$MovieState constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD